#-------------------------------------------------------------------------------
# File: ingface.inc
# GENERATED BY fglwsdl 134149
#-------------------------------------------------------------------------------
# THIS FILE WAS GENERATED. DO NOT MODIFY.
#-------------------------------------------------------------------------------
IMPORT FGL WSHelper
IMPORT com
IMPORT xml


GLOBALS

#
# Global WebService error structure
# Check the contents of this structure for a detailed error description
# when a WebService function returns with a non-zero status.
#

DEFINE wsError RECORD
	code		STRING,
	codeNS		STRING,
	description	STRING,
	action		STRING
END RECORD




#
#-------------------------------------------------------------------------------
# XML Type definitions 
#-------------------------------------------------------------------------------
#

#
# Global Endpoint user-defined type definition
#
TYPE tGlobalEndpointType RECORD	 # End point
	Address	RECORD	# Address
		Uri	STRING	# URI 
	END RECORD,
	Binding	RECORD	# Binding
		Version	STRING,	# HTTP Version (1.0 or 1.1)
		Cookie	STRING,	# Cookie to be set
		Request RECORD	 # HTTP request
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		Response RECORD	 # HTTP response
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		ConnectionTimeout	INTEGER,# Connection timeout
		ReadWriteTimeout	INTEGER,# Read write timeout
		CompressRequest		STRING	# HTTP request compression mode (gzip or deflate)
	END RECORD
END RECORD



#
# TYPE : thello
#
TYPE thello RECORD ATTRIBUTE(XMLSequence,XSTypeName="hello",XSTypeNamespace="http://listener.ingface.com/")
  name STRING ATTRIBUTE(XMLName="name",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : thelloResponse
#
TYPE thelloResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="helloResponse",XSTypeNamespace="http://listener.ingface.com/")
  return STRING ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tisMostrarLog
#
TYPE tisMostrarLog xml.DomDocument ATTRIBUTE(XSDanyType,XSTypeName="isMostrarLog",XSTypeNamespace="http://listener.ingface.com/")
#-------------------------------------------------------------------------------

#
# TYPE : tisMostrarLogResponse
#
TYPE tisMostrarLogResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="isMostrarLogResponse",XSTypeNamespace="http://listener.ingface.com/")
  return BOOLEAN ATTRIBUTE(XMLName="return",XMLNamespace="")
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tsetMostrarLog
#
TYPE tsetMostrarLog RECORD ATTRIBUTE(XMLSequence,XSTypeName="setMostrarLog",XSTypeNamespace="http://listener.ingface.com/")
  arg0 BOOLEAN ATTRIBUTE(XMLName="arg0",XMLNamespace="")
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tsetMostrarLogResponse
#
TYPE tsetMostrarLogResponse xml.DomDocument ATTRIBUTE(XSDanyType,XSTypeName="setMostrarLogResponse",XSTypeNamespace="http://listener.ingface.com/")
#-------------------------------------------------------------------------------

#
# TYPE : tdetalleDte
#
TYPE tdetalleDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="detalleDte",XSTypeNamespace="http://listener.ingface.com/")
  cantidad FLOAT ATTRIBUTE(XMLName="cantidad",XMLNamespace="",XMLOptional),
  codigoProducto STRING ATTRIBUTE(XMLName="codigoProducto",XMLNamespace="",XMLOptional),
  descripcionProducto STRING ATTRIBUTE(XMLName="descripcionProducto",XMLNamespace="",XMLOptional),
  detalleImpuestosIva FLOAT ATTRIBUTE(XMLName="detalleImpuestosIva",XMLNamespace="",XMLOptional),
  importeExento FLOAT ATTRIBUTE(XMLName="importeExento",XMLNamespace="",XMLOptional),
  importeNetoGravado FLOAT ATTRIBUTE(XMLName="importeNetoGravado",XMLNamespace="",XMLOptional),
  importeOtrosImpuestos FLOAT ATTRIBUTE(XMLName="importeOtrosImpuestos",XMLNamespace="",XMLOptional),
  importeTotalOperacion FLOAT ATTRIBUTE(XMLName="importeTotalOperacion",XMLNamespace="",XMLOptional),
  montoBruto FLOAT ATTRIBUTE(XMLName="montoBruto",XMLNamespace="",XMLOptional),
  montoDescuento FLOAT ATTRIBUTE(XMLName="montoDescuento",XMLNamespace="",XMLOptional),
  personalizado_01 STRING ATTRIBUTE(XMLName="personalizado_01",XMLNamespace="",XMLOptional),
  personalizado_02 STRING ATTRIBUTE(XMLName="personalizado_02",XMLNamespace="",XMLOptional),
  personalizado_03 STRING ATTRIBUTE(XMLName="personalizado_03",XMLNamespace="",XMLOptional),
  personalizado_04 STRING ATTRIBUTE(XMLName="personalizado_04",XMLNamespace="",XMLOptional),
  personalizado_05 STRING ATTRIBUTE(XMLName="personalizado_05",XMLNamespace="",XMLOptional),
  personalizado_06 STRING ATTRIBUTE(XMLName="personalizado_06",XMLNamespace="",XMLOptional),
  precioUnitario FLOAT ATTRIBUTE(XMLName="precioUnitario",XMLNamespace="",XMLOptional),
  tipoProducto STRING ATTRIBUTE(XMLName="tipoProducto",XMLNamespace="",XMLOptional),
  unidadMedida STRING ATTRIBUTE(XMLName="unidadMedida",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tdte
#
TYPE tdte RECORD ATTRIBUTE(XMLSequence,XSTypeName="dte",XSTypeNamespace="http://listener.ingface.com/")
  cae STRING ATTRIBUTE(XMLName="cae",XMLNamespace="",XMLOptional),
  codigoEstablecimiento STRING ATTRIBUTE(XMLName="codigoEstablecimiento",XMLNamespace="",XMLOptional),
  codigoMoneda STRING ATTRIBUTE(XMLName="codigoMoneda",XMLNamespace="",XMLOptional),
  correoComprador STRING ATTRIBUTE(XMLName="correoComprador",XMLNamespace="",XMLOptional),
  departamentoComprador STRING ATTRIBUTE(XMLName="departamentoComprador",XMLNamespace="",XMLOptional),
  departamentoVendedor STRING ATTRIBUTE(XMLName="departamentoVendedor",XMLNamespace="",XMLOptional),
  descripcionOtroImpuesto STRING ATTRIBUTE(XMLName="descripcionOtroImpuesto",XMLNamespace="",XMLOptional),
  detalleDte DYNAMIC ARRAY ATTRIBUTE(XMLList) OF tdetalleDte ATTRIBUTE(XMLName="detalleDte",XMLNamespace=""),
  detalleImpuestosIva FLOAT ATTRIBUTE(XMLName="detalleImpuestosIva",XMLNamespace="",XMLOptional),
  direccionComercialComprador STRING ATTRIBUTE(XMLName="direccionComercialComprador",XMLNamespace="",XMLOptional),
  direccionComercialVendedor STRING ATTRIBUTE(XMLName="direccionComercialVendedor",XMLNamespace="",XMLOptional),
  estadoDocumento STRING ATTRIBUTE(XMLName="estadoDocumento",XMLNamespace="",XMLOptional),
  fechaAnulacion DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="fechaAnulacion",XMLNamespace="",XMLOptional),
  fechaDocumento DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="fechaDocumento",XMLNamespace="",XMLOptional),
  fechaResolucion DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="fechaResolucion",XMLNamespace="",XMLOptional),
  idDispositivo STRING ATTRIBUTE(XMLName="idDispositivo",XMLNamespace="",XMLOptional),
  importeBruto FLOAT ATTRIBUTE(XMLName="importeBruto",XMLNamespace="",XMLOptional),
  importeDescuento FLOAT ATTRIBUTE(XMLName="importeDescuento",XMLNamespace="",XMLOptional),
  importeNetoGravado FLOAT ATTRIBUTE(XMLName="importeNetoGravado",XMLNamespace="",XMLOptional),
  importeOtrosImpuestos FLOAT ATTRIBUTE(XMLName="importeOtrosImpuestos",XMLNamespace="",XMLOptional),
  importeTotalExento FLOAT ATTRIBUTE(XMLName="importeTotalExento",XMLNamespace="",XMLOptional),
  montoTotalOperacion FLOAT ATTRIBUTE(XMLName="montoTotalOperacion",XMLNamespace=""),
  municipioComprador STRING ATTRIBUTE(XMLName="municipioComprador",XMLNamespace="",XMLOptional),
  municipioVendedor STRING ATTRIBUTE(XMLName="municipioVendedor",XMLNamespace="",XMLOptional),
  nitComprador STRING ATTRIBUTE(XMLName="nitComprador",XMLNamespace="",XMLOptional),
  nitGFACE STRING ATTRIBUTE(XMLName="nitGFACE",XMLNamespace="",XMLOptional),
  nitVendedor STRING ATTRIBUTE(XMLName="nitVendedor",XMLNamespace="",XMLOptional),
  nombreComercialComprador STRING ATTRIBUTE(XMLName="nombreComercialComprador",XMLNamespace="",XMLOptional),
  nombreComercialRazonSocialVendedor STRING ATTRIBUTE(XMLName="nombreComercialRazonSocialVendedor",XMLNamespace="",XMLOptional),
  nombreCompletoVendedor STRING ATTRIBUTE(XMLName="nombreCompletoVendedor",XMLNamespace="",XMLOptional),
  numeroDocumento STRING ATTRIBUTE(XMLName="numeroDocumento",XMLNamespace="",XMLOptional),
  numeroDte STRING ATTRIBUTE(XMLName="numeroDte",XMLNamespace="",XMLOptional),
  numeroResolucion STRING ATTRIBUTE(XMLName="numeroResolucion",XMLNamespace="",XMLOptional),
  observaciones STRING ATTRIBUTE(XMLName="observaciones",XMLNamespace="",XMLOptional),
  personalizado_01 STRING ATTRIBUTE(XMLName="personalizado_01",XMLNamespace="",XMLOptional),
  personalizado_02 STRING ATTRIBUTE(XMLName="personalizado_02",XMLNamespace="",XMLOptional),
  personalizado_03 STRING ATTRIBUTE(XMLName="personalizado_03",XMLNamespace="",XMLOptional),
  personalizado_04 STRING ATTRIBUTE(XMLName="personalizado_04",XMLNamespace="",XMLOptional),
  personalizado_05 STRING ATTRIBUTE(XMLName="personalizado_05",XMLNamespace="",XMLOptional),
  personalizado_06 STRING ATTRIBUTE(XMLName="personalizado_06",XMLNamespace="",XMLOptional),
  personalizado_07 STRING ATTRIBUTE(XMLName="personalizado_07",XMLNamespace="",XMLOptional),
  personalizado_08 STRING ATTRIBUTE(XMLName="personalizado_08",XMLNamespace="",XMLOptional),
  personalizado_09 STRING ATTRIBUTE(XMLName="personalizado_09",XMLNamespace="",XMLOptional),
  personalizado_10 STRING ATTRIBUTE(XMLName="personalizado_10",XMLNamespace="",XMLOptional),
  personalizado_11 STRING ATTRIBUTE(XMLName="personalizado_11",XMLNamespace="",XMLOptional),
  personalizado_12 STRING ATTRIBUTE(XMLName="personalizado_12",XMLNamespace="",XMLOptional),
  personalizado_13 STRING ATTRIBUTE(XMLName="personalizado_13",XMLNamespace="",XMLOptional),
  personalizado_14 STRING ATTRIBUTE(XMLName="personalizado_14",XMLNamespace="",XMLOptional),
  personalizado_15 STRING ATTRIBUTE(XMLName="personalizado_15",XMLNamespace="",XMLOptional),
  personalizado_16 STRING ATTRIBUTE(XMLName="personalizado_16",XMLNamespace="",XMLOptional),
  personalizado_17 STRING ATTRIBUTE(XMLName="personalizado_17",XMLNamespace="",XMLOptional),
  personalizado_18 STRING ATTRIBUTE(XMLName="personalizado_18",XMLNamespace="",XMLOptional),
  personalizado_19 STRING ATTRIBUTE(XMLName="personalizado_19",XMLNamespace="",XMLOptional),
  personalizado_20 STRING ATTRIBUTE(XMLName="personalizado_20",XMLNamespace="",XMLOptional),
  rangoFinalAutorizado STRING ATTRIBUTE(XMLName="rangoFinalAutorizado",XMLNamespace="",XMLOptional),
  rangoInicialAutorizado STRING ATTRIBUTE(XMLName="rangoInicialAutorizado",XMLNamespace="",XMLOptional),
  regimen2989 BOOLEAN ATTRIBUTE(XMLName="regimen2989",XMLNamespace=""),
  regimenISR STRING ATTRIBUTE(XMLName="regimenISR",XMLNamespace="",XMLOptional),
  serieAutorizada STRING ATTRIBUTE(XMLName="serieAutorizada",XMLNamespace="",XMLOptional),
  serieDocumento STRING ATTRIBUTE(XMLName="serieDocumento",XMLNamespace="",XMLOptional),
  telefonoComprador STRING ATTRIBUTE(XMLName="telefonoComprador",XMLNamespace="",XMLOptional),
  tipoCambio FLOAT ATTRIBUTE(XMLName="tipoCambio",XMLNamespace="",XMLOptional),
  tipoDocumento STRING ATTRIBUTE(XMLName="tipoDocumento",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : trequestDte
#
TYPE trequestDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="requestDte",XSTypeNamespace="http://listener.ingface.com/")
  clave STRING ATTRIBUTE(XMLName="clave",XMLNamespace="",XMLOptional),
  dte tdte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional),
  usuario STRING ATTRIBUTE(XMLName="usuario",XMLNamespace="",XMLOptional),
  validador BOOLEAN ATTRIBUTE(XMLName="validador",XMLNamespace="")
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tregistrarDte
#
TYPE tregistrarDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="registrarDte",XSTypeNamespace="http://listener.ingface.com/")
  dte trequestDte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tresponseDte
#
TYPE tresponseDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="responseDte",XSTypeNamespace="http://listener.ingface.com/")
  anotaciones STRING ATTRIBUTE(XMLName="anotaciones",XMLNamespace="",XMLOptional),
  descripcion STRING ATTRIBUTE(XMLName="descripcion",XMLNamespace="",XMLOptional),
  valido BOOLEAN ATTRIBUTE(XMLName="valido",XMLNamespace=""),
  cae STRING ATTRIBUTE(XMLName="cae",XMLNamespace="",XMLOptional),
  estado STRING ATTRIBUTE(XMLName="estado",XMLNamespace="",XMLOptional),
  numeroDocumento BIGINT ATTRIBUTE(XMLName="numeroDocumento",XMLNamespace=""),
  numeroDte STRING ATTRIBUTE(XMLName="numeroDte",XMLNamespace="",XMLOptional),
  rangoFinalAutorizado STRING ATTRIBUTE(XMLName="rangoFinalAutorizado",XMLNamespace="",XMLOptional),
  rangoInicialAutorizado STRING ATTRIBUTE(XMLName="rangoInicialAutorizado",XMLNamespace="",XMLOptional),
  regimen STRING ATTRIBUTE(XMLName="regimen",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tregistrarDteResponse
#
TYPE tregistrarDteResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="registrarDteResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseDte ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : trequestAnulacionDte
#
TYPE trequestAnulacionDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="requestAnulacionDte",XSTypeNamespace="http://listener.ingface.com/")
  clave STRING ATTRIBUTE(XMLName="clave",XMLNamespace="",XMLOptional),
  codigoEstablecimiento STRING ATTRIBUTE(XMLName="codigoEstablecimiento",XMLNamespace="",XMLOptional),
  concepto STRING ATTRIBUTE(XMLName="concepto",XMLNamespace="",XMLOptional),
  fechaAnulacion DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="fechaAnulacion",XMLNamespace="",XMLOptional),
  numeroDte STRING ATTRIBUTE(XMLName="numeroDte",XMLNamespace="",XMLOptional),
  tipoDocumento STRING ATTRIBUTE(XMLName="tipoDocumento",XMLNamespace="",XMLOptional),
  usuario STRING ATTRIBUTE(XMLName="usuario",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tanulacionDte
#
TYPE tanulacionDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="anulacionDte",XSTypeNamespace="http://listener.ingface.com/")
  dte trequestAnulacionDte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tresponseAnulacionDte
#
TYPE tresponseAnulacionDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="responseAnulacionDte",XSTypeNamespace="http://listener.ingface.com/")
  anotaciones STRING ATTRIBUTE(XMLName="anotaciones",XMLNamespace="",XMLOptional),
  descripcion STRING ATTRIBUTE(XMLName="descripcion",XMLNamespace="",XMLOptional),
  valido BOOLEAN ATTRIBUTE(XMLName="valido",XMLNamespace=""),
  dte tdte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tanulacionDteResponse
#
TYPE tanulacionDteResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="anulacionDteResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseAnulacionDte ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tcierre
#
TYPE tcierre RECORD ATTRIBUTE(XMLSequence,XSTypeName="cierre",XSTypeNamespace="http://listener.ingface.com/")
  usuario STRING ATTRIBUTE(XMLName="usuario",XMLNamespace="",XMLOptional),
  clave STRING ATTRIBUTE(XMLName="clave",XMLNamespace="",XMLOptional),
  codigoEstablecimiento STRING ATTRIBUTE(XMLName="codigoEstablecimiento",XMLNamespace="",XMLOptional),
  mes INTEGER ATTRIBUTE(XMLName="mes",XMLNamespace=""),
  anio INTEGER ATTRIBUTE(XMLName="anio",XMLNamespace="")
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tresponseCierre
#
TYPE tresponseCierre RECORD ATTRIBUTE(XMLSequence,XSTypeName="responseCierre",XSTypeNamespace="http://listener.ingface.com/")
  anotaciones STRING ATTRIBUTE(XMLName="anotaciones",XMLNamespace="",XMLOptional),
  descripcion STRING ATTRIBUTE(XMLName="descripcion",XMLNamespace="",XMLOptional),
  valido BOOLEAN ATTRIBUTE(XMLName="valido",XMLNamespace=""),
  checkSum STRING ATTRIBUTE(XMLName="checkSum",XMLNamespace="",XMLOptional),
  codigoCae STRING ATTRIBUTE(XMLName="codigoCae",XMLNamespace="",XMLOptional),
  codigoCrfm STRING ATTRIBUTE(XMLName="codigoCrfm",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tcierreResponse
#
TYPE tcierreResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="cierreResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseCierre ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : trequestValidacion
#
TYPE trequestValidacion RECORD ATTRIBUTE(XMLSequence,XSTypeName="requestValidacion",XSTypeNamespace="http://listener.ingface.com/")
  clave STRING ATTRIBUTE(XMLName="clave",XMLNamespace="",XMLOptional),
  codigoEstablecimiento STRING ATTRIBUTE(XMLName="codigoEstablecimiento",XMLNamespace="",XMLOptional),
  nitComprador STRING ATTRIBUTE(XMLName="nitComprador",XMLNamespace="",XMLOptional),
  nitVendedor STRING ATTRIBUTE(XMLName="nitVendedor",XMLNamespace="",XMLOptional),
  numeroDte STRING ATTRIBUTE(XMLName="numeroDte",XMLNamespace="",XMLOptional),
  usuario STRING ATTRIBUTE(XMLName="usuario",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tvalidacionDte
#
TYPE tvalidacionDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="validacionDte",XSTypeNamespace="http://listener.ingface.com/")
  validacion trequestValidacion ATTRIBUTE(XMLName="validacion",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tresponseValidacion
#
TYPE tresponseValidacion RECORD ATTRIBUTE(XMLSequence,XSTypeName="responseValidacion",XSTypeNamespace="http://listener.ingface.com/")
  anotaciones STRING ATTRIBUTE(XMLName="anotaciones",XMLNamespace="",XMLOptional),
  descripcion STRING ATTRIBUTE(XMLName="descripcion",XMLNamespace="",XMLOptional),
  valido BOOLEAN ATTRIBUTE(XMLName="valido",XMLNamespace=""),
  dte tdte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tvalidacionDteResponse
#
TYPE tvalidacionDteResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="validacionDteResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseValidacion ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tcargarDte
#
TYPE tcargarDte RECORD ATTRIBUTE(XMLSequence,XSTypeName="cargarDte",XSTypeNamespace="http://listener.ingface.com/")
  dte trequestDte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional),
  anexo STRING ATTRIBUTE(XMLName="anexo",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tcargarDteResponse
#
TYPE tcargarDteResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="cargarDteResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseDte ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tregistrarDteSap
#
TYPE tregistrarDteSap RECORD ATTRIBUTE(XMLSequence,XSTypeName="registrarDteSap",XSTypeNamespace="http://listener.ingface.com/")
  dte trequestDte ATTRIBUTE(XMLName="dte",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tresponseDteSap
#
TYPE tresponseDteSap RECORD ATTRIBUTE(XMLSequence,XSTypeName="responseDteSap",XSTypeNamespace="http://listener.ingface.com/")
  anotaciones STRING ATTRIBUTE(XMLName="anotaciones",XMLNamespace="",XMLOptional),
  descripcion STRING ATTRIBUTE(XMLName="descripcion",XMLNamespace="",XMLOptional),
  valido BOOLEAN ATTRIBUTE(XMLName="valido",XMLNamespace=""),
  cae STRING ATTRIBUTE(XMLName="cae",XMLNamespace="",XMLOptional),
  estado STRING ATTRIBUTE(XMLName="estado",XMLNamespace="",XMLOptional),
  numeroDocumento STRING ATTRIBUTE(XMLName="numeroDocumento",XMLNamespace="",XMLOptional),
  numeroDte STRING ATTRIBUTE(XMLName="numeroDte",XMLNamespace="",XMLOptional),
  rangoFinalAutorizado STRING ATTRIBUTE(XMLName="rangoFinalAutorizado",XMLNamespace="",XMLOptional),
  rangoInicialAutorizado STRING ATTRIBUTE(XMLName="rangoInicialAutorizado",XMLNamespace="",XMLOptional),
  regimen STRING ATTRIBUTE(XMLName="regimen",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tregistrarDteSapResponse
#
TYPE tregistrarDteSapResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="registrarDteSapResponse",XSTypeNamespace="http://listener.ingface.com/")
  return tresponseDteSap ATTRIBUTE(XMLName="return",XMLNamespace="",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# Service: ingface
# Port:    ingfacePort
# Server:  http://192.168.0.250:8084/listenerSA/ingface
#-------------------------------------------------------------------------------
#
# Location of the SOAP endpoint.
# You can reassign this value at run-time.
#
DEFINE ingface_ingfacePortEndpoint tGlobalEndpointType

#-------------------------------------------------------------------------------
#
# Operation: hello
#
# FUNCTION: hello_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL hello
#   OUTPUT: GLOBAL helloResponse
#
# FUNCTION: hello(p_name)
#   RETURNING: soapStatus ,p_return
#
# FUNCTION: helloRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL hello
#
# FUNCTION: helloResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL helloResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : hello
DEFINE hello thello ATTRIBUTE(XMLName="hello",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : helloResponse
DEFINE helloResponse thelloResponse ATTRIBUTE(XMLName="helloResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: isMostrarLog
#
# FUNCTION: isMostrarLog_g()
#   RETURNING: soapStatus
#   INPUT: NONE
#   OUTPUT: GLOBAL isMostrarLogResponse
#
# FUNCTION: isMostrarLog()
#   RETURNING: soapStatus ,p_return
#
# FUNCTION: isMostrarLogRequest_g()
#   RETURNING: soapStatus
#   INPUT: NONE
#
# FUNCTION: isMostrarLogResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL isMostrarLogResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : isMostrarLogResponse
DEFINE isMostrarLogResponse tisMostrarLogResponse ATTRIBUTE(XMLName="isMostrarLogResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: setMostrarLog
#
# FUNCTION: setMostrarLog_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL setMostrarLog
#   OUTPUT: NONE
#
# FUNCTION: setMostrarLog(p_arg0)
#   RETURNING: soapStatus
#
# FUNCTION: setMostrarLogRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL setMostrarLog
#
# FUNCTION: setMostrarLogResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: NONE
#

#-------------------------------------------------------------------------------

# VARIABLE : setMostrarLog
DEFINE setMostrarLog tsetMostrarLog ATTRIBUTE(XMLName="setMostrarLog",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: registrarDte
#
# FUNCTION: registrarDte_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL registrarDte
#   OUTPUT: GLOBAL registrarDteResponse
#
# FUNCTION: registrarDteRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL registrarDte
#
# FUNCTION: registrarDteResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL registrarDteResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : registrarDte
DEFINE registrarDte tregistrarDte ATTRIBUTE(XMLName="registrarDte",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : registrarDteResponse
DEFINE registrarDteResponse tregistrarDteResponse ATTRIBUTE(XMLName="registrarDteResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: anulacionDte
#
# FUNCTION: anulacionDte_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL anulacionDte
#   OUTPUT: GLOBAL anulacionDteResponse
#
# FUNCTION: anulacionDteRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL anulacionDte
#
# FUNCTION: anulacionDteResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL anulacionDteResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : anulacionDte
DEFINE anulacionDte tanulacionDte ATTRIBUTE(XMLName="anulacionDte",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : anulacionDteResponse
DEFINE anulacionDteResponse tanulacionDteResponse ATTRIBUTE(XMLName="anulacionDteResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: cierre
#
# FUNCTION: cierre_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL cierre
#   OUTPUT: GLOBAL cierreResponse
#
# FUNCTION: cierreRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL cierre
#
# FUNCTION: cierreResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL cierreResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : cierre
DEFINE cierre tcierre ATTRIBUTE(XMLName="cierre",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : cierreResponse
DEFINE cierreResponse tcierreResponse ATTRIBUTE(XMLName="cierreResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: validacionDte
#
# FUNCTION: validacionDte_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL validacionDte
#   OUTPUT: GLOBAL validacionDteResponse
#
# FUNCTION: validacionDteRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL validacionDte
#
# FUNCTION: validacionDteResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL validacionDteResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : validacionDte
DEFINE validacionDte tvalidacionDte ATTRIBUTE(XMLName="validacionDte",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : validacionDteResponse
DEFINE validacionDteResponse tvalidacionDteResponse ATTRIBUTE(XMLName="validacionDteResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: cargarDte
#
# FUNCTION: cargarDte_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL cargarDte
#   OUTPUT: GLOBAL cargarDteResponse
#
# FUNCTION: cargarDteRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL cargarDte
#
# FUNCTION: cargarDteResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL cargarDteResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : cargarDte
DEFINE cargarDte tcargarDte ATTRIBUTE(XMLName="cargarDte",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : cargarDteResponse
DEFINE cargarDteResponse tcargarDteResponse ATTRIBUTE(XMLName="cargarDteResponse",XMLNamespace="http://listener.ingface.com/")

#-------------------------------------------------------------------------------
#
# Operation: registrarDteSap
#
# FUNCTION: registrarDteSap_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL registrarDteSap
#   OUTPUT: GLOBAL registrarDteSapResponse
#
# FUNCTION: registrarDteSapRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL registrarDteSap
#
# FUNCTION: registrarDteSapResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL registrarDteSapResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : registrarDteSap
DEFINE registrarDteSap tregistrarDteSap ATTRIBUTE(XMLName="registrarDteSap",XMLNamespace="http://listener.ingface.com/")


#-------------------------------------------------------------------------------

# VARIABLE : registrarDteSapResponse
DEFINE registrarDteSapResponse tregistrarDteSapResponse ATTRIBUTE(XMLName="registrarDteSapResponse",XMLNamespace="http://listener.ingface.com/")



END GLOBALS
